<?php
	//---------------------------------------------------------------------------------------------------------
	// 16/Abril/2016
	// Versión 1.0 Formulario que muestra el tipo de envío
	//---------------------------------------------------------------------------------------------------------
	$obFormaPago = Theme::getLastParam(1);
	$forma_pago = CabeceraCesta::getPaymentType();
	$nombre_forma_pago = $obFormaPago->nombre;
	ob_start();
	?>
	$('.finalizar_compra .loading').show();
	$('.finalizar_compra .clase_estado_cesta.texto_estado').hide();
	$('.finalizar_compra .modulo_finalizar_compra').hide();
	var data = {'forma_pago' : <?=$obFormaPago->codigo;?>};
	WS_data_update(
		'CabeceraCesta',
		'setPaymentType',
		data,
		'*=\'bloque_tipo_envio\'|*=\'bloque_total_cesta\'',
		function(objeto){
			$('.finalizar_compra .loading').hide();
			$('.finalizar_compra .clase_estado_cesta.texto_estado').show();
			$('.finalizar_compra .modulo_finalizar_compra').show();
		}
	);	
	<?php
	$script_onclick = ob_get_clean();

	//Marina (16/04/2019) Añadimos un icono distinto según la forma de pago
	$src = Shop::$configuracion->url. _WS_THEMES_DIR_ . _WS_THEME_DIR_ . _WS_THEME_HTML_DIR_ .'images/';

	$icono_pago = $src."dots.png";
	$alt = $nombre_forma_pago;
	if(strpos(strtoupper($nombre_forma_pago), "TRANSFERENCIA") !== false){
		$icono_pago=$src."pago-bank.png";

	}else if(strpos(strtoupper($nombre_forma_pago), "TARJETA") !== false){
		$icono_pago=$src."pago-tarjeta.png";

	}else if(strpos(strtoupper($nombre_forma_pago),"PAYPAL") !== false){
		$icono_pago=$src."pago-paypal.png";

	}else if(strpos(strtoupper($nombre_forma_pago),"TIENDA") !== false){
		$icono_pago=$src."pago-tienda.png";
	}
		
?>

<div class="boton boton_pago <?=($obFormaPago->codigo == $forma_pago)? 'active' :'' ;?>" onclick="<?=$script_onclick;?>">
	<input type="radio" name="forma_pago"  value="<?=$obFormaPago->codigo;?>" <?=($obFormaPago->codigo == $forma_pago)? 'checked="checked"' :'' ;?> required="required" form="cesta_<?=Sections::$current_section;?>">
	<div class="icono_pago col-xs-2"><img src="<?=$icono_pago;?>" border="0" alt="<?=$alt;?>"></div>
	<div class="texto col-xs-10">
		<div class="nombre_pago"><strong><?=$obFormaPago->nombre;?></strong></div>
		<div class="forma_pago"><strong><?=$obFormaPago->descripcion;?></strong></div>
	</div>
</div>